Stock
Get stock overview
GET
/
v1
/
stocks
/
overview
Get stock overview
curl --request GET \
--url https://dev.flextell.ai/api/v1/stocks/overview \
--header 'Authorization: Bearer <token>' \
--header 'X-Tenant: <x-tenant>'import requests
url = "https://dev.flextell.ai/api/v1/stocks/overview"
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant': '<x-tenant>', Authorization: 'Bearer <token>'}
};
fetch('https://dev.flextell.ai/api/v1/stocks/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"product": {
"id": 123,
"name": "<string>"
},
"warehouse": {
"id": 123,
"name": "<string>"
},
"balance": 123,
"unit_label": "<string>",
"stock_status": "low",
"critical_stock_level": 123
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://dev.flextell.ai/oauth/authorize
- Token URL
- https://dev.flextell.ai/oauth/token
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Query Parameters
Filter by warehouse ID.
Required range:
x >= 1Filter by product brand ID.
Required range:
x >= 1Filter by base unit code ID.
Required range:
x >= 1Alias of base_unit_code_id (filter by base unit code ID).
Required range:
x >= 1Filter by stock status (normal, low, critical).
Available options:
normal, low, critical The number of items per page.
Required range:
1 <= x <= 100The page number.
Required range:
x >= 1The field to sort by.
Available options:
product_name, warehouse_name, balance, stock_status, critical_stock_level The sort direction (asc or desc).
Available options:
asc, desc ⌘I
Get stock overview
